Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna
Class ArjunaNames

    java.lang.Object
      com.arjuna.ats.arjuna.ArjunaNames

public class ArjunaNames
extends java.lang.Object

This class contains the ClassNames and ObjectName attributes that may be used by implementations within this module.

Since:
  1.0.
Version:
  $Id: ArjunaNames.html,v 1.1 2008/01/04 06:52:39 afitzsim Exp $
Author:
  Mark Little (mark@arjuna.com)
See Also:
  `ClassName`, `ObjectName`

Constructor Summary
`ArjunaNames()`

Method Summary
`static ClassName` | `Implementation_AbstractRecord_CadaverRecord_DisposeRecord()`
`static ClassName` | `Implementation_AbstractRecord_CadaverRecord()`
`static ClassName` | `Implementation_AbstractRecord_LastResourceRecord()`
`static ClassName` | `Implementation_AbstractRecord_PersistenceRecord()`
`static ClassName` | `Implementation_AbstractRecord_TxLogPersistenceRecord()`
`static ClassName` | `Implementation_Inventory_DynamicInventory()`
`static ClassName` | `Implementation_Inventory_StaticInventory()`
`static ClassName` | `Implementation_NameService_JNS()`
`static ClassName` | `Implementation_NameService_PNS()`
`static ClassName` | `Implementation_ObjectStore_ActionLogStore()`
`static ClassName` | `Implementation_ObjectStore_ActionStore()`
`static ClassName` | `Implementation_ObjectStore_CacheStore()`
`static ClassName` | `Implementation_ObjectStore_defaultActionStore()`
`static ClassName` | `Implementation_ObjectStore_defaultStore()`
`static ClassName` | `Implementation_ObjectStore_FileSystemStore()`
`static ClassName` | `Implementation_ObjectStore_FragmentedStore()`
`static ClassName` | `Implementation_ObjectStore_HashedActionStore()`
`static ClassName` | `Implementation_ObjectStore_HashedStore()`
`static java.lang.String` | `Implementation_ObjectStore_JDBC_dropTable()`
`static java.lang.String` | `Implementation_ObjectStore_JDBC_tableName()`
`static java.lang.String` | `Implementation_ObjectStore_JDBC_url()`
`static ClassName` | `Implementation_ObjectStore_JDBCActionStore()`
`static ClassName` | `Implementation_ObjectStore_JDBCStore()`
`static ClassName` | `Implementation_ObjectStore_MappedStore()`
`static ClassName` | `Implementation_ObjectStore_NullActionStore()`
`static ClassName` | `Implementation_ObjectStore_ReplicatedStore()`
`static ClassName` | `Implementation_ObjectStore_ShadowingStore()`
`static ClassName` | `Implementation_ObjectStore_ShadowNoFileLockStore()`
`static ClassName` | `Implementation_ObjectStore_SingleTypeMappedStore()`
`static ClassName` | `Implementation_ObjectStore_UserDef0Store()`
`static ClassName` | `Implementation_ObjectStore_UserDef1Store()`
`static ClassName` | `Implementation_ObjectStore_UserDef2Store()`
`static ClassName` | `Implementation_ObjectStore_UserDef3Store()`
`static ClassName` | `Implementation_ObjectStore_UserDef4Store()`
`static ClassName` | `Implementation_ObjectStore_UserDef5Store()`
`static ClassName` | `Implementation_ObjectStore_UserDef6Store()`
`static ClassName` | `Implementation_ObjectStore_UserDef7Store()`
`static ClassName` | `Implementation_ObjectStore_UserDef8Store()`
`static ClassName` | `Implementation_ObjectStore_UserDef9Store()`
`static ClassName` | `Implementation_ObjectStore_VolatileStore()`
`static ClassName` | `Implementation_Semaphore_BasicSemaphore()`
`static ClassName` | `Interface_Inventory()`
`static ClassName` | `Interface_NameService()`
`static java.lang.String` | `ObjectStore_implementationObjectName()`
`static java.lang.String` | `StateManager_objectModel()`
`static java.lang.String` | `StateManager_objectStoreRoot()`
`static java.lang.String` | `StateManager_objectType()`
`static java.lang.String` | `StateManager_uid()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArjunaNames

    public ArjunaNames()

Method Detail

### StateManager_objectModel

    public static java.lang.String StateManager_objectModel()

### StateManager_objectStoreRoot

    public static java.lang.String StateManager_objectStoreRoot()

### StateManager_uid

    public static java.lang.String StateManager_uid()

### StateManager_objectType

    public static java.lang.String StateManager_objectType()

### ObjectStore_implementationObjectName

    public static java.lang.String ObjectStore_implementationObjectName()

### Implementation_ObjectStore_JDBC_tableName

    public static java.lang.String Implementation_ObjectStore_JDBC_tableName()

### Implementation_ObjectStore_JDBC_url

    public static java.lang.String Implementation_ObjectStore_JDBC_url()

### Implementation_ObjectStore_JDBC_dropTable

    public static java.lang.String Implementation_ObjectStore_JDBC_dropTable()

### Implementation_AbstractRecord_PersistenceRecord

    public static ClassName Implementation_AbstractRecord_PersistenceRecord()

### Implementation_AbstractRecord_TxLogPersistenceRecord

    public static ClassName Implementation_AbstractRecord_TxLogPersistenceRecord()

### Implementation_AbstractRecord_LastResourceRecord

    public static ClassName Implementation_AbstractRecord_LastResourceRecord()

### Implementation_AbstractRecord_CadaverRecord

    public static ClassName Implementation_AbstractRecord_CadaverRecord()

### Implementation_AbstractRecord_CadaverRecord_DisposeRecord

    public static ClassName Implementation_AbstractRecord_CadaverRecord_DisposeRecord()

### Implementation_Semaphore_BasicSemaphore

    public static ClassName Implementation_Semaphore_BasicSemaphore()

### Implementation_ObjectStore_defaultStore

    public static ClassName Implementation_ObjectStore_defaultStore()

### Implementation_ObjectStore_defaultActionStore

    public static ClassName Implementation_ObjectStore_defaultActionStore()

### Implementation_ObjectStore_ShadowingStore

    public static ClassName Implementation_ObjectStore_ShadowingStore()

### Implementation_ObjectStore_ShadowNoFileLockStore

    public static ClassName Implementation_ObjectStore_ShadowNoFileLockStore()

### Implementation_ObjectStore_FileSystemStore

    public static ClassName Implementation_ObjectStore_FileSystemStore()

### Implementation_ObjectStore_ActionStore

    public static ClassName Implementation_ObjectStore_ActionStore()

### Implementation_ObjectStore_NullActionStore

    public static ClassName Implementation_ObjectStore_NullActionStore()

### Implementation_ObjectStore_ActionLogStore

    public static ClassName Implementation_ObjectStore_ActionLogStore()

### Implementation_ObjectStore_ReplicatedStore

    public static ClassName Implementation_ObjectStore_ReplicatedStore()

### Implementation_ObjectStore_VolatileStore

    public static ClassName Implementation_ObjectStore_VolatileStore()

### Implementation_ObjectStore_FragmentedStore

    public static ClassName Implementation_ObjectStore_FragmentedStore()

### Implementation_ObjectStore_HashedStore

    public static ClassName Implementation_ObjectStore_HashedStore()

### Implementation_ObjectStore_HashedActionStore

    public static ClassName Implementation_ObjectStore_HashedActionStore()

### Implementation_ObjectStore_MappedStore

    public static ClassName Implementation_ObjectStore_MappedStore()

### Implementation_ObjectStore_SingleTypeMappedStore

    public static ClassName Implementation_ObjectStore_SingleTypeMappedStore()

### Implementation_ObjectStore_JDBCStore

    public static ClassName Implementation_ObjectStore_JDBCStore()

### Implementation_ObjectStore_JDBCActionStore

    public static ClassName Implementation_ObjectStore_JDBCActionStore()

### Implementation_ObjectStore_CacheStore

    public static ClassName Implementation_ObjectStore_CacheStore()

### Implementation_ObjectStore_UserDef0Store

    public static ClassName Implementation_ObjectStore_UserDef0Store()

### Implementation_ObjectStore_UserDef1Store

    public static ClassName Implementation_ObjectStore_UserDef1Store()

### Implementation_ObjectStore_UserDef2Store

    public static ClassName Implementation_ObjectStore_UserDef2Store()

### Implementation_ObjectStore_UserDef3Store

    public static ClassName Implementation_ObjectStore_UserDef3Store()

### Implementation_ObjectStore_UserDef4Store

    public static ClassName Implementation_ObjectStore_UserDef4Store()

### Implementation_ObjectStore_UserDef5Store

    public static ClassName Implementation_ObjectStore_UserDef5Store()

### Implementation_ObjectStore_UserDef6Store

    public static ClassName Implementation_ObjectStore_UserDef6Store()

### Implementation_ObjectStore_UserDef7Store

    public static ClassName Implementation_ObjectStore_UserDef7Store()

### Implementation_ObjectStore_UserDef8Store

    public static ClassName Implementation_ObjectStore_UserDef8Store()

### Implementation_ObjectStore_UserDef9Store

    public static ClassName Implementation_ObjectStore_UserDef9Store()

### Implementation_NameService_JNS

    public static ClassName Implementation_NameService_JNS()

### Implementation_NameService_PNS

    public static ClassName Implementation_NameService_PNS()

### Implementation_Inventory_StaticInventory

    public static ClassName Implementation_Inventory_StaticInventory()

### Implementation_Inventory_DynamicInventory

    public static ClassName Implementation_Inventory_DynamicInventory()

### Interface_Inventory

    public static ClassName Interface_Inventory()

### Interface_NameService

    public static ClassName Interface_NameService()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD